視頻與素材
列出素材資源
列出當前組織擁有的 Seedance 素材。
列出您組織與專案中的素材。可透過 library_type、group_id 或 status(PROCESSING、ACTIVE、FAILED、DELETED)進行篩選。page_size 接受 1–100(預設為 20)。將回應中的 next_page_token 作為 page_token 傳入,以讀取下一頁。
請僅使用 status 為 ACTIVE 的資源。在建立影片時,請使用回傳的 TokenLab 素材資源 id。
project_name 用於界定組織內的資源範圍,預設為 default。請在相關群組與資源中使用相同的大小寫敏感值。在 POST/PUT 請求中將其放入 JSON 本文中,在 GET/DELETE 請求中則放入查詢字串中。
請求範例
curl "https://api.tokenlab.sh/v1/videos/assets?library_type=aigc_avatar&group_id=group-20260720123456-vrt01&page_size=20&project_name=default" \
-H "Authorization: Bearer $TOKENLAB_API_KEY"回應範例
{
"assets": [
{
"id": "asset-20260720123456-qn7wr",
"object": "seedance.material_asset",
"project_name": "default",
"group_id": "group-20260720123456-vrt01",
"library_type": "aigc_avatar",
"asset_name": "Front view",
"asset_type": "Image",
"status": "ACTIVE",
"ready": true,
"created_at": 1782998400000,
"updated_at": 1782998400000
}
],
"next_page_token": null
}curl -X GET "https://example.com/v1/videos/assets"{ "assets": [ { "id": "asset-20260720123456-qn7wr", "object": "seedance.material_asset", "group_id": "group-20260720123456-vrt01", "library_type": "aigc_avatar", "asset_name": "Front view", "asset_type": "Image", "status": "ACTIVE", "ready": true, "error_message": null, "metadata": null, "created_at": 1782998400000 } ], "next_page_token": null}授權
BearerAuth AuthorizationBearer <token>
API Key 驗證。請在 Dashboard > API > API Keys 建立或管理 API 金鑰。
位置: header
查詢參數
page_size?integer
範圍
1 <= value <= 100預設值
20page_token?string
group_id?string
依 TokenLab 素材資產群組 ID 篩選。
status?string
可選值
- "PROCESSING"
- "ACTIVE"
- "FAILED"
- "DELETED"
library_type?string
依素材庫類別篩選。
可選值
- "aigc_avatar"
- "liveness_face"
project_name?string
素材資源的專案範圍。
長度
1 <= length <= 128預設值
"default"回應
application/json
application/json
application/json
application/json